Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class CodeSwitcher

    java.lang.Object
      |
      +--org.hsqldb.util.CodeSwitcher

public class CodeSwitcher
extends Object

Constructor Summary
`(package private)` | `CodeSwitcher()`

Method Summary
`(package private) void` | `addDir(java.lang.String )`
`(package private) void` | `addTest(java.lang.String , int )`
`(package private) boolean` | `isLongline(java.lang.String )`
`static void` | `main(java.lang.String[] )`
`(package private) static void` | `printError(java.lang.String )`
`(package private) void` | `printSwitches()`
`(package private) void` | `process()`
`(package private) boolean` | `processFile(java.lang.String )`
`(package private) void` | `removeTest(java.lang.String )`
`(package private) static void` | `showUsage()`
`(package private) int` | `testFile(java.lang.String )`
`(package private) boolean` | `testLine(java.lang.String )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeSwitcher

    CodeSwitcher()

Method Detail

### addDir

    void addDir(java.lang.String )

### addTest

    void addTest(java.lang.String , int )

### isLongline

    boolean isLongline(java.lang.String )

### main

    public static void main(java.lang.String[] )

### printError

    static void printError(java.lang.String )

### printSwitches

    void printSwitches()

### process

    void process()

### processFile

    boolean processFile(java.lang.String )

### removeTest

    void removeTest(java.lang.String )

### showUsage

    static void showUsage()

### testFile

    int testFile(java.lang.String )

### testLine

    boolean testLine(java.lang.String )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD